//
//  TouchPoint.m
//  GestIT
//
//  Created by Davide Spano on 27/08/12.
//  Copyright (c) 2012 Davide Spano. All rights reserved.
//

#import "TouchPoint.h"

@implementation TouchPoint

static TouchPoint* _touchError = nil;

@synthesize x, y;

+ (TouchPoint*) getErrorPoint{
    if(_touchError == nil){
        _touchError = [[TouchPoint alloc] init];
    }
    return _touchError;
}

- (id) init{
    self = [super init];
    if(self){
        self.x = DBL_MIN;
        self.y = DBL_MIN;
    }
    return self;
}

- (id) initWithPoint:(double)_x :(double)_y{
    self = [super init];
    if(self){
        self.x = _x;
        self.y = _y;
    }
    return self;
}
@end
