package gestIT;

import java.util.EventListener;

/**
 * Interface that must be implemented in order to register to a specific event.
 * 
 * @author nicola
 *
 */
public interface StateChangedHandler extends EventListener {

	/**
	 * Method that will be called when a new event is reaised.
	 * 
	 * @param evt The event that has generated the related event
	 */
	public void OnStateChanged(StateChangedEvent evt);

}
