////////////////////////////////////////////////////////////////
///
/// File: StateChangeHandler.h
/// Author: Lucio Davide Spano
/// Last update: 17 August 2012
/// Description: This file contains the protocol for listening
///              to the expression interal event flow
/// To do:
/// ------------------------------------------------------------
/// Copyright (c) 2012 Lucio Davide Spano
///                     (lucio.davide.spano@isti.cnr.it)
///
/// The use and distribution terms for this software are
/// contained in the file named license.txt, which can be found
/// in the root of this distribution.
/// By using this software in any fashion, you are agreeing to
/// be bound by the terms of this license.
///
/// You must not remove this notice, or any other, from this
/// software.
/// ------------------------------------------------------------
////////////////////////////////////////////////////////////////

#import <Foundation/Foundation.h>
@class TmpExp, ExpEventArgs, Token, SimpleTmpExp;
@protocol StateChangeHandler <NSObject>

- (void) onStateChanged :(TmpExp*) sender :(ExpEventArgs*) args :(Token*) token;
- (void) onNotAcceptedToken :(TmpExp*) sender :(SimpleTmpExp*) originalSender :(ExpEventArgs*) args: (Token*) token;

@end
