//
//  TouchEventArgs.m
//  GestIT
//
//  Created by Davide Spano on 27/08/12.
//  Copyright (c) 2012 Davide Spano. All rights reserved.
//

#import "TouchEventArgs.h"
#import "TouchPoint.h"

@implementation TouchEventArgs
@synthesize type, point;

- (id) init{
    self = [super init];
    if(self){
        point = [[TouchPoint alloc] init];
        type = Start;
    }
    return self;
}

- (id) initWithPointType:(double)x :(double)y :(int) touchId :(TouchType) t{
    self = [self init];
    if(self){
        self.point.x = x;
        self.point.y = y;
        self.Id = touchId;
        self.type = t;
    }
    return  self;
}
@end
