//
//  DrawingView.h
//  GestITDemo
//
//  Created by Davide Spano on 10/09/12.
//  Copyright (c) 2012 Davide Spano. All rights reserved.
//

#import <UIKit/UIKit.h>


@interface DrawingView : UIView {
	CGColorSpaceRef colorSpace;
	unsigned char *rawData;
	CGContextRef context;
	float zoom;
	CGPoint translate;
}



- (void) drawLine : (float) fromX : (float) fromY : (float) toX : (float) toY;
- (void) setZoom : (float) z;
- (float) getZoom;
- (void) clear;
- (CGPoint) getTranslate;
- (void) setTranslate:(CGPoint)t;
- (CGPoint) locationInCanvas: (CGPoint) viewPoint;

@end